%global repo_owner atextor
%global repo_name  icat

Name:    icat
Summary: Output images in terminal
License: BSD-2-Clause

%global git_commit 9b5aa622fdfbfbd37a97c9b8d3258100e1d26cd6
%global git_date   20230110
%global git_short  %(c="%{git_commit}"; echo "${c:0:7}")

Version: 0.5
Release:    1%{?dist}

URL:     https://github.com/%{repo_owner}/%{repo_name}
Source0: %{URL}/archive/%{git_commit}/%{repo_name}-%{git_commit}.tar.gz

BuildRequires: gcc
BuildRequires: imlib2-devel
BuildRequires: make

Conflicts: sleuthkit

%description
Outputs an image on a 256-color or 24-bit color enabled terminal
with UTF-8 locale, such as gnome-terminal, konsole or rxvt-unicode (urxvt).

%prep
%setup -q -n %{repo_name}-%{git_commit}
awk '1;/\*\//{exit}' < icat.c > LICENSE

%build
%make_build

%install
install -m 755 -d %{buildroot}/%{_bindir}
install -m 755 ./icat %{buildroot}/%{_bindir}/icat

install -m 755 -d %{buildroot}/%{_mandir}/man1
install -m 644 ./icat.man %{buildroot}/%{_mandir}/man1/%{name}.1

%files
%doc CHANGELOG README.md
%license LICENSE
%{_bindir}/icat
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-1
- initial build
